summaryrefslogtreecommitdiffstats
path: root/games/madbomber
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:26 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:26 +0200
commitfc32ee20694957df640a5960a4a7fd58efca770b (patch)
tree9c937378c5721905d335bfee3066e3f4f29f9128 /games/madbomber
parente241bc0896c0825f69810095b84d5b898284202e (diff)
downloadslackbuilds-fc32ee20694957df640a5960a4a7fd58efca770b.tar.gz
slackbuilds-fc32ee20694957df640a5960a4a7fd58efca770b.tar.xz
games/madbomber: Added to 12.2 repository
Diffstat (limited to 'games/madbomber')
-rw-r--r--games/madbomber/README7
-rw-r--r--games/madbomber/doinst.sh4
-rw-r--r--games/madbomber/madbomber.6109
-rw-r--r--games/madbomber/madbomber.SlackBuild65
-rw-r--r--games/madbomber/madbomber.desktop8
-rw-r--r--games/madbomber/madbomber.info8
-rw-r--r--games/madbomber/slack-desc19
7 files changed, 220 insertions, 0 deletions
diff --git a/games/madbomber/README b/games/madbomber/README
new file mode 100644
index 0000000000..19fd00ec8c
--- /dev/null
+++ b/games/madbomber/README
@@ -0,0 +1,7 @@
+Mad Bomber is a clone of the excellent 1981 Atari 2600 video game
+"Kaboom!" by Larry Kaplan of Activision.
+
+The Mad Bomber is loose in the city and he's dropping bombs
+everywhere! It's your job to catch them before they hit the ground
+and explode. Luckily, you have a set of trusty buckets to extinguish
+them with.
diff --git a/games/madbomber/doinst.sh b/games/madbomber/doinst.sh
new file mode 100644
index 0000000000..ff5dd6d547
--- /dev/null
+++ b/games/madbomber/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/games/madbomber/madbomber.6 b/games/madbomber/madbomber.6
new file mode 100644
index 0000000000..57fb29bee8
--- /dev/null
+++ b/games/madbomber/madbomber.6
@@ -0,0 +1,109 @@
+.TH MADBOMBER "6" "April 2009" "New Breed Software" "Games"
+.SH NAME
+madbomber \- clone of the Activision game "Kaboom!"
+.SH SYNOPSIS
+.B
+madbomber
+[\-\-fullscreen] [\-\-disable\-sound] [\-\-usage] [\-\-help]
+.SH DESCRIPTION
+Mad Bomber is a clone of the excellent 1981 Atari 2600 video game
+"Kaboom!" by Larry Kaplan of Activision.
+.P
+The Mad Bomber is loose in the city and he's dropping bombs
+everywhere! It's your job to catch them before they hit the ground
+and explode. Luckily, you have a set of trusty buckets to extinguish
+them with.
+.SH OPTIONS
+.TP
+\fB\-\-disable\-sound\fR
+Disable sound
+.TP
+\fB\-\-fullscreen\fR
+(Try to) run in fullscreen
+.TP
+\fB\-?\fR, \fB\-\-help\fR
+Show long help message
+.TP
+\fB\-\-usage\fR
+Show brief usage message
+.SH CONTROLS
+.SS Title screen controls
+.TP
+\fBUp/Down\fR
+Choose option
+.TP
+\fBSpace/Return\fR
+Activate option
+.TP
+\fBMouse\-click\fR
+Activate option under mouse pointer
+.TP
+\fBEscape\fR
+Quit program
+.P
+.SS Option screen controls
+.TP
+\fBUp/Down\fR
+Choose option
+.TP
+\fBSpace/Return\fR
+Activate option
+.TP
+\fBMouse\-click\fR
+Activate option under mouse pointer
+.TP
+\fBEscape\fR
+Return to title screen
+.P
+.SS Game controls
+.TP
+\fBLeft/Right\fR
+Move buckets
+.TP
+\fBMouse\-motion\fR
+Move buckets
+.TP
+\fBSpace/Return\fR
+Fire
+.TP
+\fBMouse\-click\fR
+Fire
+.TP
+\fB1/2/3/4\fR
+(in Vs. mode) Move Mad Bomber
+ (1 = left, fast
+ 2 = left, slow
+ 3 = right, slow
+ 4 = right, fast)
+.TP
+\fBTab/P\fR
+Pause
+.TP
+\fBEscape\fR
+Quit game (return to title screen)
+.SH FILES
+.TP
+\fB/usr/share/madbomber\fR
+game data (images, music, sound)
+.TP
+\fB$HOME/.madbomber\fR
+per\-user settings and high\-score records
+.SH AUTHOR
+Bill Kendrick (New Breed Software)
+.P
+New Breed Software's web site is located at
+.br
+.nh
+\fBhttp://www.newbreedsoftware.com/\fR
+.hy
+.P
+Man page created by B. Watson for SlackBuilds.org project (but others
+are free to use it)
+
+.SH COPYRIGHT
+Mad Bomber is free software; you can redistribute it
+and/or modify it under the terms of the GNU General Public
+License as published by the Free Software Foundation;
+either version 2 of the License, or (at your option) any
+later version.
+
diff --git a/games/madbomber/madbomber.SlackBuild b/games/madbomber/madbomber.SlackBuild
new file mode 100644
index 0000000000..4447b886df
--- /dev/null
+++ b/games/madbomber/madbomber.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for madbomber
+
+# Written by B. Watson (yalhcru@gmail.com)
+#
+# Modified by the SlackBuilds.org project.
+
+PRGNAM=madbomber
+VERSION=${VERSION:-0.2.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+sed -i -e "s/-Wall/-Wall $SLKCFLAGS/" Makefile
+
+make BIN_PREFIX=/usr/games/ DATA_PREFIX=/usr/share/$PRGNAM/
+strip $PRGNAM
+mkdir -p $PKG/usr/games/ $PKG/usr/share/$PRGNAM/
+make install BIN_PREFIX=$PKG/usr/games DATA_PREFIX=$PKG/usr/share/$PRGNAM/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/man/man6
+gzip -9c $CWD/$PRGNAM.6 > $PKG/usr/man/man6/$PRGNAM.6.gz
+
+# Don't need these:
+rm -f $PKG/usr/doc/$PRGNAM-$VERSION/INSTALL.txt
+rm -rf $PKG/usr/share/$PRGNAM/embedded
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/madbomber/madbomber.desktop b/games/madbomber/madbomber.desktop
new file mode 100644
index 0000000000..762fa5cf93
--- /dev/null
+++ b/games/madbomber/madbomber.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Mad Bomber
+Exec=madbomber
+Type=Application
+Icon=madbomber
+GenericName=Mad Bomber Game
+Categories=Game;Arcade;
diff --git a/games/madbomber/madbomber.info b/games/madbomber/madbomber.info
new file mode 100644
index 0000000000..60e558e15a
--- /dev/null
+++ b/games/madbomber/madbomber.info
@@ -0,0 +1,8 @@
+PRGNAM="madbomber"
+VERSION="0.2.5"
+HOMEPAGE="http://www.newbreedsoftware.com/madbomber/"
+DOWNLOAD="ftp://ftp.tuxpaint.org/unix/x/madbomber/src/madbomber-0.2.5.tar.gz"
+MD5SUM="90772baaec90a10f6d9467bc4d3963a6"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/games/madbomber/slack-desc b/games/madbomber/slack-desc
new file mode 100644
index 0000000000..9da2fc03b5
--- /dev/null
+++ b/games/madbomber/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+madbomber: madbomber (clone of the 1981 Atari 2600 video game "Kaboom!")
+madbomber:
+madbomber: Mad Bomber is a clone of the excellent 1981 Atari 2600 video game
+madbomber: "Kaboom!" by Larry Kaplan of Activision.
+madbomber:
+madbomber: The Mad Bomber is loose in the city and he's dropping bombs
+madbomber: everywhere! It's your job to catch them before they hit the ground
+madbomber: and explode. Luckily, you have a set of trusty buckets to extinguish
+madbomber: them with.
+madbomber:
+madbomber: